aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Charles Moulliard <>
Subject Compilation error
Date Mon, 16 Jul 2012 12:42:39 GMT

When building Aries project, I get this error :

[ERROR] Failed to execute goal
(default-compile) on project org.apache.aries.util: Compilation failure:
Compilation failure:
[ERROR] could not parse error message: warning: [options] bootstrap class
path not set in conjunction with -source 1.5
error: cannot find symbol
[ERROR] return b.adapt(BundleWiring.class).getClassLoader();
[ERROR] could not parse error message:   symbol:   method getClassLoader()
[ERROR] location: class Object
error: BundleHookBundleTracker.BundleEventHook is not abstract and does not
override abstract method event(BundleEvent,Collection) in EventHook
[ERROR] private class BundleEventHook implements EventHook {
error: name clash: event(BundleEvent,Collection<BundleContext>) in
BundleHookBundleTracker.BundleEventHook and event(BundleEvent,Collection)
in EventHook have the same erasure, yet neither overrides the other
[ERROR] -> [Help 1]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] For more information about the errors and possible solutions,
please read the following articles:
[ERROR] [Help 1]
[ERROR] After correcting the problems, you can resume the build with the
[ERROR]   mvn <goals> -rf :org.apache.aries.util

Is it related because we have changed JDK compilation from 1.5 to 1.6 ?


Charles Moulliard

Apache Committer

Blog :
Twitter :
Linkedin :
Skype: cmoulliard

  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message